package org.arkerthan.sanityCheck.element;

import org.arkerthan.sanityCheck.SyntaxError;

/**
 * @author Arkerthan
 */
public class BracketElement extends Element {
	//int state = 0;

	public BracketElement(int line, int pos) {
		super(line, pos);
	}

	@Override
	public int handleChar(char c) throws SyntaxError {
		if (c == ')') {
			return 2;
		} else {
			return 0;
		}
	}

	@Override
	public String getShortDescription() {
		return getPositionAsString() + " (???";
	}
}
